> ## Documentation Index
> Fetch the complete documentation index at: https://wordsmithai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Comment

> Edit the content of a comment you authored.

Edit the content of a comment you authored.

## Body parameters

<ParamField body="content" type="string" required>
  The replacement comment body.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PATCH 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "content": "Indemnity is acceptable after the cap change."
  }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333", {
    method: "PATCH",
    headers: {
      Authorization: "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
    },
    body: JSON.stringify({
      "content": "Indemnity is acceptable after the cap change."
    }),
  });
  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments/aaaa1111-bbbb-2222-cccc-333333333333"
  headers = {
      "Authorization": "Bearer YOUR_API_KEY",
      "Content-Type": "application/json",
  }
  payload = {
      "content": "Indemnity is acceptable after the cap change."
  }

  response = requests.patch(url, headers=headers, json=payload)
  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "aaaa1111-bbbb-2222-cccc-333333333333",
    "task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
    "content": "Indemnity is acceptable after the cap change.",
    "author": {
      "id": "11111111-2222-3333-4444-555555555555",
      "name": "Jane Doe",
      "email": "jane@example.com"
    },
    "parent_comment_id": null,
    "mentioned_users": [],
    "file_ids": [],
    "created_at": "2025-12-31T01:00:00Z",
    "updated_at": "2025-12-31T01:03:20Z"
  }
  ```
</ResponseExample>
